"use strict";

const { validateArguments } = require("@validatem/core");
const required = require("@validatem/required");

const fromLazyValue = require("@promistream/from-lazy-value");

module.exports = function createStreamFromValue(_value) {
	let [ value ] = validateArguments(arguments, {
		value: required
	});

	return fromLazyValue(() => value);
};
